Bio::Search::GenericDatabase(3)

NAME
Bio::Search::GenericDatabase - Generic implementation of Bio::Search::DatabaseI

SYNOPSIS
    use Bio::Search::GenericDatabase;

    $db = Bio::Search::GenericDatabase->new( -name => 'my Blast db',
                                             -date => '2001-03-13',
                                             -length => 2352511,
                                             -entries => 250000 );

    $name = $db->name();
    $date = $db->date();
    $num_letters = $db->letters();
    $num_entries = $db->entries();

DESCRIPTION
This module provides a basic implementation of Bio::Search::DatabaseI. See documentation in that module for more information.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR
Steve Chervitz <sac@bioperl.org>

See the FEEDBACK section for where to send bug reports and comments.

COPYRIGHT
Copyright (c) 2001 Steve Chervitz. All Rights Reserved.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

APPENDIX
The rest of the documentation details each of the object methods.

  name
See Bio::Search::DatabaseI::name() for documentation

This implementation is a combined set/get accessor.

  date
See Bio::Search::DatabaseI::date() for documentation

This implementation is a combined set/get accessor.

  letters
See Bio::Search::DatabaseI::letters() for documentation

This implementation is a combined set/get accessor.

  entries
See Bio::Search::DatabaseI::entries() for documentation

This implementation is a combined set/get accessor.